Bug 223614 - digikam crashes when saving a photo editing
Summary: digikam crashes when saving a photo editing
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: 1.0.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-20 20:14 UTC by sinozzuke
Modified: 2017-08-08 11:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sinozzuke 2010-01-20 20:14:23 UTC
Application: digikam (1.0.0)
KDE Platform Version: 4.3.90 (KDE 4.3.90 (KDE 4.4 RC1))
Qt Version: 4.6.0
Operating System: Linux 2.6.31-17-generic x86_64
Distribution: Ubuntu 9.10

-- Information about the crash:
This is what I was doing
1- Select 1 photo
2- Change some Levels and color. 
3- Push Save button.
4- You got your shine crash :)

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f22c47de7c0 (LWP 4611))]

Thread 19 (Thread 0x7f22a65dd910 (LWP 4615)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x293edf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x293edf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006c4033 in ?? ()
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2a16b50) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f22a5b37910 (LWP 4617)):
#0  0x00007fffa69ff82c in clock_gettime ()
#1  0x00007f22b66b6fdf in *__GI_clock_gettime (clock_id=1, tp=0x7f22a5b36d20) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f22bde1eacf in qt_gettime () at kernel/qcore_unix.cpp:109
#3  0x00007f22bde2374d in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f22bde23775 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f22bde2186d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f22a5b36e3c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f22bde21915 in timerSourcePrepare (source=0x1, timeout=0x7f22a5b36d20) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007f22b7600dba in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007f22b7601191 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007f22b76016c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007f22bde21676 in QEventDispatcherGlib::processEvents (this=0x2d25a10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#11 0x00007f22bddf6972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007f22bddf6d4c in QEventLoop::exec (this=0x7f22a5b36fd0, flags=) at kernel/qeventloop.cpp:201
#13 0x00007f22bdd01c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2bc6f50) at thread/qthread_unix.cpp:244
#15 0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 17 (Thread 0x7f229ffff910 (LWP 4618)):
#0  0x00007fffa69ff82c in clock_gettime ()
#1  0x00007f22b66b6fdf in *__GI_clock_gettime (clock_id=1, tp=0x7f229fffed20) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f22bde1eacf in qt_gettime () at kernel/qcore_unix.cpp:109
#3  0x00007f22bde2374d in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f22bde23775 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f22bde2186d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f229fffee3c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f22bde21915 in timerSourcePrepare (source=0x1, timeout=0x7f229fffed20) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007f22b7600dba in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007f22b7601191 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007f22b76016c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007f22bde21676 in QEventDispatcherGlib::processEvents (this=0x2d27da0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#11 0x00007f22bddf6972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007f22bddf6d4c in QEventLoop::exec (this=0x7f229fffefd0, flags=) at kernel/qeventloop.cpp:201
#13 0x00007f22bdd01c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2d33720) at thread/qthread_unix.cpp:244
#15 0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f229f7fe910 (LWP 4619)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2e68668, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2e68668, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2e68650) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f229effd910 (LWP 4620)):
#0  0x00007fffa69ff82c in clock_gettime ()
#1  0x00007f22b66b6fdf in *__GI_clock_gettime (clock_id=1, tp=0x7f229effcd20) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f22bde1eacf in qt_gettime () at kernel/qcore_unix.cpp:109
#3  0x00007f22bde2374d in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f22bde23775 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f22bde2186d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f229effce3c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f22bde21915 in timerSourcePrepare (source=0x1, timeout=0x7f229effcd20) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007f22b7600dba in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007f22b7601191 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007f22b76016c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007f22bde21676 in QEventDispatcherGlib::processEvents (this=0x2e7aa00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#11 0x00007f22bddf6972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007f22bddf6d4c in QEventLoop::exec (this=0x7f229effcfd0, flags=) at kernel/qeventloop.cpp:201
#13 0x00007f22bdd01c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2e76c00) at thread/qthread_unix.cpp:244
#15 0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f229e7fc910 (LWP 4621)):
#0  0x00007f22b7600ace in g_main_context_check () from /lib/libglib-2.0.so.0
#1  0x00007f22b7601290 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f22b76016c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f22bde21676 in QEventDispatcherGlib::processEvents (this=0x2e797c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#4  0x00007f22bddf6972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f22bddf6d4c in QEventLoop::exec (this=0x7f229e7fbfd0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f22bdd01c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2e7a650) at thread/qthread_unix.cpp:244
#8  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f229dffb910 (LWP 4622)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2e92a28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2e92a28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x2e92a10) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f2299d79910 (LWP 4636)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007f229bac0c91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f229781a910 (LWP 4639)):
#0  0x00007f22bd02d412 in select () from /lib/libc.so.6
#1  0x00007f229bae9725 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f229bace7e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f2297019910 (LWP 4640)):
#0  0x00007fffa69ff82c in clock_gettime ()
#1  0x00007f22b66b6fdf in *__GI_clock_gettime (clock_id=1, tp=0x7f2297018ce0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f22bde1eacf in qt_gettime () at kernel/qcore_unix.cpp:109
#3  0x00007f22bde2374d in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f22bde23775 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f22bde2186d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f2297018ddc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f22b7600dba in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x00007f22b7601191 in ?? () from /lib/libglib-2.0.so.0
#8  0x00007f22b76016c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x00007f22bde21676 in QEventDispatcherGlib::processEvents (this=0x33f5e20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#10 0x00007f22bddf6972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#11 0x00007f22bddf6d4c in QEventLoop::exec (this=0x7f2297018f70, flags=) at kernel/qeventloop.cpp:201
#12 0x00007f22bdd01c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#13 0x00007f229bd1c570 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#14 0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x33f5870) at thread/qthread_unix.cpp:244
#15 0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 9 (Thread 0x7f2292406910 (LWP 4646)):
#0  0x00007f22bd0283c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f2296614cbe in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f2296201910 (LWP 4647)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f229bad1983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f2295a00910 (LWP 4648)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x356e0a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x356e0a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x356e090) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 6 (Thread 0x7f229376d910 (LWP 4655)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x3f5db18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3f5db18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x3f5db00) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f2292f6c910 (LWP 4656)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x427df58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x427df58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x427df40) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f228ab5b910 (LWP 4678)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x4cf6808, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x4cf6808, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x4cf67f0) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f2279c73910 (LWP 4719)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x4defa58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x4defa58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x4defa40) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f2291c05910 (LWP 4720)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f22bdd0567b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x4715ad8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x4715ad8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f22c181d1c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f22bdd046c5 in QThreadPrivate::start (arg=0x4715ac0) at thread/qthread_unix.cpp:244
#5  0x00007f22bda75a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f22bd03480d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f22c47de7c0 (LWP 4611)):
[KCrash Handler]
#5  QBasicAtomicInt::ref (this=0x8222db8) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  QList (this=0x8222db8) at /usr/include/qt4/QtCore/qlist.h:114
#7  QForeachContainer (this=0x8222db8) at /usr/include/qt4/QtCore/qglobal.h:2229
#8  KDirWatchPrivate::Entry::propagate_dirty (this=0x8222db8) at ../../kio/kio/kdirwatch.cpp:416
#9  0x00007f22c0400cfb in KDirWatchPrivate::Entry::propagate_dirty (this=<value optimized out>) at ../../kio/kio/kdirwatch.cpp:421
#10 0x00007f22c0400cfb in KDirWatchPrivate::Entry::propagate_dirty (this=<value optimized out>) at ../../kio/kio/kdirwatch.cpp:421
#11 0x00007f22c0409d4f in KDirWatchPrivate::slotRescan (this=0x2bc5ca0) at ../../kio/kio/kdirwatch.cpp:1349
#12 0x00007f22c040a924 in KDirWatchPrivate::qt_metacall (this=0x2bc5ca0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa699aa30) at ./kdirwatch_p.moc:81
#13 0x00007f22bde0adc3 in QMetaObject::activate (sender=0x2bc5d08, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3294
#14 0x00007f22bde07a33 in QObject::event (this=0x2bc5d08, e=0x7fffa699b0f0) at kernel/qobject.cpp:1224
#15 0x00007f22be9eae8c in QApplicationPrivate::notify_helper (this=0x274b230, receiver=0x2bc5d08, e=0x7fffa699b0f0) at kernel/qapplication.cpp:4242
#16 0x00007f22be9f148d in QApplication::notify (this=0x7fffa699b460, receiver=0x2bc5d08, e=0x7fffa699b0f0) at kernel/qapplication.cpp:4125
#17 0x00007f22bfeb6e16 in KApplication::notify (this=0x7fffa699b460, receiver=0x2bc5d08, event=0x7fffa699b0f0) at ../../kdeui/kernel/kapplication.cpp:302
#18 0x00007f22bddf804c in QCoreApplication::notifyInternal (this=0x7fffa699b460, receiver=0x2bc5d08, event=0x7fffa699b0f0) at kernel/qcoreapplication.cpp:704
#19 0x00007f22bde24d52 in QCoreApplication::sendEvent (this=0x274ee80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#20 QTimerInfoList::activateTimers (this=0x274ee80) at kernel/qeventdispatcher_unix.cpp:603
#21 0x00007f22bde21958 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#22 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#23 0x00007f22b75fdbce in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0x00007f22b7601598 in ?? () from /lib/libglib-2.0.so.0
#25 0x00007f22b76016c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0x00007f22bde21623 in QEventDispatcherGlib::processEvents (this=0x27116e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#27 0x00007f22bea992fe in QGuiEventDispatcherGlib::processEvents (this=0x8222db8, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#28 0x00007f22bddf6972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#29 0x00007f22bddf6d4c in QEventLoop::exec (this=0x7fffa699b390, flags=) at kernel/qeventloop.cpp:201
#30 0x00007f22bddfaa8b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#31 0x0000000000761afb in ?? ()
#32 0x00007f22bcf73abd in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fffa699c308) at libc-start.c:220
#33 0x00000000004720d9 in _start ()
The current source language is "auto; currently c".

Possible duplicates by query: bug 222550, bug 222547, bug 221469.

Reported using DrKonqi
Comment 1 Dario Andres 2010-01-20 21:31:23 UTC
Merging with bug 222547. Thanks

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 2 sinozzuke 2010-01-20 23:29:30 UTC
thanks to you for work in it!

On Wed, Jan 20, 2010 at 9:31 PM, Dario Andres
<andresbajotierra@gmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=223614
>
>
> Dario Andres <andresbajotierra@gmail.com> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>             Status|UNCONFIRMED                 |RESOLVED
>                 CC|                            |andresbajotierra@gmail.com
>         Resolution|                            |DUPLICATE
>
>
>
>
> --- Comment #1 from Dario Andres <andresbajotierra gmail com>  2010-01-20 21:31:23 ---
> Merging with bug 222547. Thanks
>
> *** This bug has been marked as a duplicate of bug 222547 ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 3 caulier.gilles 2017-08-08 11:06:51 UTC
Since digiKam 5.0.0, KDirWatch was been replaced by QFileSytemWatcher. It will
not reproducible.

Gilles Caulier